Javascript Calendar Calendar for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Advanced Javascript calendar and date picker

Highly customizable JS mobile & desktop calendar to use wherever Javascript runs

light
dark

Change the theme setting here

Calendar - Display Modes

Change demo
Display Modes

Different display modes can be used for mobile and desktop. On mobile, the calendar can be rendered at the top or bottom of the screen, in the center of the screen, anchored to an input or any object for that matter and it can also be embedded in any inline content.

Interested in desktop usage?  Check out the next example →

Calendar - Marked days

Change demo
Marked days

When using marked days, users might be interested to see what each dot means. You can place a listview below for describing what everything means.

Looking for more options to mark days?  See how to add dots, colors and labels →
var now = new Date();

mobiscroll.calendar('#demo', {
    display: 'inline',
    layout: 'liquid',
    lang: ' ',
    theme: ' ',
    themeVariant: ' ',
    markedDisplay: 'bottom',
    marked: [{
        d: new Date(now.getFullYear(), now.getMonth(), now.getDate() + 5),
        color: 'rgb(28, 161, 227)'
    }, {
        d: new Date(now.getFullYear(), now.getMonth(), now.getDate() + 6),
        color: 'rgb(28, 161, 227)'
    }, {
        d: new Date(now.getFullYear(), now.getMonth(), now.getDate() + 7),
        color: 'rgb(28, 161, 227)'
    }, {
        d: new Date(now.getFullYear(), now.getMonth() + 1, 15),
        color: 'rgb(28, 161, 227)'
    }, {
        d: '11/30',
        color: 'rgb(163, 0, 38)'
    }, {
        d: '5/23',
        color: 'rgb(163, 0, 38)'
    }, {
        d: '3/12',
        color: 'rgb(163, 0, 38)'
    }, {
        d: '14',
        color: 'rgb(204,204,0)'
    }, {
        d: 'w5',
        color: 'rgb(34, 139, 34)'
    }, {
        d: '1/1',
        color: 'rgb(250,104,0)'
    }, {
        d: '1/2',
        color: 'rgb(250,104,0)'
    }, {
        d: '6/4',
        color: 'rgb(250,104,0)'
    }, {
        d: '8/4',
        color: 'rgb(250,104,0)'
    }, {
        d: '12/25',
        color: 'rgb(250,104,0)'
    }, {
        d: '12/26',
        color: 'rgb(250,104,0)'
    }]
});

mobiscroll.listview('.md-marked-list', {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    swipe: false
});
<div class="md-marked">
    <div id="demo" placeholder="Please Select..."></div>

    <ul class="md-marked-list" style="display:none">
        <li data-id="1">
            <span class="md-marked-points md-ponts-type1"></span> Garbage collection
        </li>
        <li data-id="2">
            <span class="md-marked-points md-ponts-type2"></span> Special events
        </li>
        <li data-id="3">
            <span class="md-marked-points md-ponts-type3"></span> Town council meeting
        </li>
        <li data-id="4">
            <span class="md-marked-points md-ponts-type4"></span> Town hall closed
        </li>
        <li data-id="5">
            <span class="md-marked-points md-ponts-type5"></span> National holidays
        </li>
    </ul>
</div>
.demo-marked {
    padding: 0!important;
}

.md-marked .md-marked-points {
    display: inline-block;
    vertical-align: middle;
    width: 7px;
    height: 7px;
    margin: 0 4px 0 0;
    border-radius: 7px;
    background: #aaa;
}

.md-marked .md-ponts-type1 {
    background: rgb(34, 139, 34);
}

.md-marked .md-ponts-type2 {
    background: rgb(163, 0, 38);
}

.md-marked .md-ponts-type3 {
    background: rgb(204, 204, 0);
}

.md-marked .md-ponts-type4 {
    background: rgb(28, 161, 227);
}

.md-marked .md-ponts-type5 {
    background: rgb(250, 104, 0);
}

.md-i-hide {
    display: none;
}

Calendar - RTL Support

Change demo
RTL Support

Shipping with full RTL support, choose left-to-right or right-to-left with the rtl setting. The value is inherited from the localization settings and can be manually overridden by explicitly setting it true or false.

Learn more about RTL and accessibility  Browse the documentation →

Calendar - Event Hooks

Change demo
Event Hooks

The calendar ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code. While users interact with the UI events like onChange, onSet, onInit ... will be triggered. Interact with the example and check the event log for the output.

For a complete list of events go to the documentation  See available lifecycle events →
Clear event log
EVENTS FIRED: 

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Angular and Ionic Calendar Calendar for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Responsive Angular calendar and date picker

Highly customizable mobile & desktop calendar for Angular and Ionic Angular

light
dark

Change the theme setting here

Calendar - Display Modes

Change demo
Display Modes

Different display modes can be used for mobile and desktop. On mobile, the calendar can be rendered at the top or bottom of the screen, in the center of the screen, anchored to an input or any object for that matter and it can also be embedded in any inline content.

Interested in desktop usage?  Check out the next example →

Calendar - Marked days

Change demo
Marked days

When using marked days, users might be interested to see what each dot means. You can place a listview below for describing what everything means.

Looking for more options to mark days?  See how to add dots, colors and labels →
let now = new Date();

@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})
export class AppComponent {
    calendar: Date;
    calendarSettings: any = {
        display: 'inline',
        lang: ' ',
        theme: ' ',
        themeVariant: ' ',
        layout: 'liquid',
        markedDisplay: 'bottom',
        marked: [{
            d: new Date(now.getFullYear(), now.getMonth(), now.getDate() + 5),
            color: 'rgb(28, 161, 227)'
        }, {
            d: new Date(now.getFullYear(), now.getMonth(), now.getDate() + 6),
            color: 'rgb(28, 161, 227)'
        }, {
            d: new Date(now.getFullYear(), now.getMonth(), now.getDate() + 7),
            color: 'rgb(28, 161, 227)'
        }, {
            d: new Date(now.getFullYear(), now.getMonth() + 1, 15),
            color: 'rgb(28, 161, 227)'
        }, {
            d: '11/30',
            color: 'rgb(163, 0, 38)'
        }, {
            d: '5/23',
            color: 'rgb(163, 0, 38)'
        }, {
            d: '3/12',
            color: 'rgb(163, 0, 38)'
        }, {
            d: '14',
            color: 'rgb(204,204,0)'
        }, {
            d: 'w5',
            color: 'rgb(34, 139, 34)'
        }, {
            d: '1/1',
            color: 'rgb(250,104,0)'
        }, {
            d: '1/2',
            color: 'rgb(250,104,0)'
        }, {
            d: '6/4',
            color: 'rgb(250,104,0)'
        }, {
            d: '8/4',
            color: 'rgb(250,104,0)'
        }, {
            d: '12/25',
            color: 'rgb(250,104,0)'
        }, {
            d: '12/26',
            color: 'rgb(250,104,0)'
        }]
    };
    listviewItems = [{
        id: 1,
        text: 'Garbage collection'
    }, {
        id: 2,
        text: 'Special events'
    }, {
        id: 3,
        text: 'Town council meeting'
    }, {
        id: 4,
        text: 'Town hall closed'
    }, {
        id: 5,
        text: 'National holidays'
    }];
    listviewOptions: any = {
        theme: ' ',
        themeVariant: ' ',
        lang: ' ',
        swipe: false
    }
}
<div class="md-marked">
    <div [(ngModel)]="calendar" mbsc-calendar [mbsc-options]="calendarSettings"></div>
    <mbsc-listview [options]="listviewOptions">
        <mbsc-listview-item *ngFor="let item of listviewItems">
            <span class="md-marked-points md-ponts-type{{item.id}}"></span>{{item.text}}
        </mbsc-listview-item>
    </mbsc-listview>
</div>
.demo-marked {
    padding: 0!important;
}

.md-marked .md-marked-points {
    display: inline-block;
    vertical-align: middle;
    width: 7px;
    height: 7px;
    margin: 0 4px 0 0;
    border-radius: 7px;
    background: #aaa;
}

.md-marked .md-ponts-type1 {
    background: rgb(34, 139, 34);
}

.md-marked .md-ponts-type2 {
    background: rgb(163, 0, 38);
}

.md-marked .md-ponts-type3 {
    background: rgb(204, 204, 0);
}

.md-marked .md-ponts-type4 {
    background: rgb(28, 161, 227);
}

.md-marked .md-ponts-type5 {
    background: rgb(250, 104, 0);
}

.md-i-hide {
    display: none;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Calendar - RTL Support

Change demo
RTL Support

Shipping with full RTL support, choose left-to-right or right-to-left with the rtl setting. The value is inherited from the localization settings and can be manually overridden by explicitly setting it true or false.

Learn more about RTL and accessibility  Browse the documentation →

Calendar - Event Hooks

Change demo
Event Hooks

The calendar ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code. While users interact with the UI events like onChange, onSet, onInit ... will be triggered. Interact with the example and check the event log for the output.

For a complete list of events go to the documentation  See available lifecycle events →
Clear event log
EVENTS FIRED: 

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos